spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Classes | Typedefs
Hashing functions
Miscellaneous helper functions

## Classes
struct | spot::ptr_hash< T >
| A hash function for pointers. More...
struct | spot::identity_hash< T >
| A hash function that returns identity. More...
struct | spot::state_ptr_hash
| Hash Function for `state*`. More...
struct | spot::state_shared_ptr_hash
| Hash Function for `shared_state` (shared_ptr<const state*>). More...

## Typedefs
typedef std::hash< std::string > | spot::string_hash
| A hash function for strings. More...
size_t | spot::wang32_hash (size_t key)
| Thomas Wang's 32 bit hash function. More...
size_t | spot::knuth32_hash (size_t key)
| Knuth's Multiplicative hash function. More...

## Detailed Description

## Typedef Documentation

typedef std::hash<std::string> spot::string_hash

`#include <spot/misc/hash.hh>`

A hash function for strings.

## Function Documentation

size_t spot::knuth32_hash | ( | size_t | key | ) |
| inline

`#include <spot/misc/hashfunc.hh>`

Knuth's Multiplicative hash function.

This function is suitable for hashing values whose high order bits do not vary much (ex. addresses of memory objects). Prefer spot::wang32_hash() otherwise. http://web.archive.org/web/2011/concentric.net/~Ttwang/tech/addrhash.htm

References spot::U.

size_t spot::wang32_hash | ( | size_t | key | ) |
| inline

`#include <spot/misc/hashfunc.hh>`

Thomas Wang's 32 bit hash function.

Hash an integer amongst the integers. http://web.archive.org/web/2011/concentric.net/~Ttwang/tech/inthash.htm

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.